<script setup lang="ts">
import {onMounted, ref } from 'vue'
import { RouterLink } from 'vue-router'
import ProductItem from '@/components/catalog/ProductItem.vue'
import type Product from '@/models/Product'
import { useApi } from '@/api'

const products = ref<Product[]>([])
const { getHomeProducts } = useApi()

onMounted(async () => {
  products.value = await getHomeProducts()
})
</script>
<template>
  <!-- Start Expolre Product Area  -->
  <div class="axil-product-area bg-color-white axil-section-gap pb--0">
    <div class="container">
      <div class="product-area pb--80">
        <div class="section-title-wrapper">
          <span class="title-highlighter highlighter-primary"><i class="far fa-shopping-basket"></i> Our Products</span>
          <h2 class="title">Explore our Products</h2>
        </div>
        <div class="row row--15">
          <ProductItem v-for="product of products" :key="product.id" :item="product"/>
        </div>
        <div class="row">
          <div class="col-lg-12 text-center mt--20 mt_sm--0">
            <RouterLink :to="{ name: 'catalog' }" class="axil-btn btn-bg-lighter btn-load-more">
              View All Products
            </RouterLink>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- End Expolre Product Area  -->
</template>